% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cop_Cont2.R
\name{copulaMethod2}
\alias{copulaMethod2}
\title{Fitting Linear Models with Endogeneous Regressors using Gaussian Copula - Method 2}
\usage{
copulaMethod2(y, X, P, intercept = NULL)
}
\arguments{
\item{y}{a vector or matrix containing the dependent variable.}

\item{X}{a data frame or matrix containing the regressors of the model, both exogeneous and endogeneous. The last column/s should contain the endogeneous variable/s.}

\item{P}{a matrix containing the endogeneous variables. They should be continuous and non-normally distributed.}

\item{intercept}{Optional parameter. The model is estimated by default with intercept. If no intercept is desired or 
the matrix \code{X} contains already a column of ones, intercept should be given the value "no".}
}
\value{
Returns an object of class "lm".
}
\description{
It fits linear models with several endogeneous regressors using Gaussian Copula proposed by Park and Gupta (2012).
}
\keyword{copula}
\keyword{endogenous}
\keyword{instrumental}
\keyword{internal}
\keyword{variables}
