% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/copulaCorrection_class.R
\docType{class}
\name{copulaREndo-class}
\alias{copulaREndo-class}
\title{generics for copulaREndo-class}
\description{
This class is used to store and further analyze the results of the copulaCorrection function when method=1 is applied
}
\section{Slots}{

\describe{
\item{\code{copCall}}{- call fo the copulaCorrection function.}

\item{\code{coefficients}}{- estimated coefficients.}

\item{\code{coefEndoVar}}{- estimated coefficients of the variables considered endogenous.}

\item{\code{coefExoVar}}{- estimated coefficients of the variables considered exogenous.}

\item{\code{coefPStar}}{- estimated coefficient of the additional variable, p*.}

\item{\code{seCoefficients}}{- standard errors of the coefficients.}

\item{\code{residuals}}{- the residuals.}

\item{\code{fitted.values}}{- fitted values.}

\item{\code{rho}}{- the estimate of the correlation between the endogenous variable and the error.}

\item{\code{sigma}}{- standard deviation of the error.}

\item{\code{logLik}}{- value of the maximum likelihood.}

\item{\code{param}}{- initial values of the parameter. THese are either chosen by the user or are the OLS estimates, with value 0.5 for rho and 0.9 for sigma.}

\item{\code{AIC}}{- Akaike Information Criterion.}

\item{\code{BIC}}{- Bayesian Information Criterion.}

\item{\code{convCode}}{- the convergence code. If is equal to zero, the model converged.}

\item{\code{regressors}}{- returns the regressors matrix.}

\item{\code{confint}}{- returns the lower and upper limits of the 95\% confidence interval for the estimates.}
}}

\examples{
getSlots("copulaREndo")

}
\keyword{internal}
