% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/latentIV_loglik.R
\name{logL}
\alias{logL}
\title{Likelihood Estimation for latentIV}
\usage{
logL(theta, y, P)
}
\arguments{
\item{theta}{- a vector of initial values for the parameters of the model to be supplied to the optimization algorithm.}

\item{y}{- a vector or matrix containing the dependent variable.}

\item{P}{-  a vector with the endogeneous variable or a matrix of dimention n X 2, where each column contains an endogeneous variable}
}
\value{
returns the value of the negative log-likelihood.
}
\description{
Computes the log-likelihood function. Only two groups are considered, since as presented in Ebbes et al (2005) this gives good, unbiased results.
}
\references{
Ebbes, P., Wedel,M., Boeckenholt, U., and Steerneman, A. G. M. (2005). 'Solving and testing for regressor-error
(in)dependence when no instruments
}
\author{
adapted by Raluca Gui from the code provided by Professor Ebbes during a workshop at Univ. of Zurich in April 2015.
}
\keyword{endogenous}
\keyword{instruments}
\keyword{internal}
\keyword{latent}
